// out: style.css, compress: false
// main: style.less

@page-width: 1200mm;
@page-height: 1760mm;
@page-bleed: 50mm;
@u: 50pt;

@import '../../style/layout.less';
@import 'lettrine.less';
// @import 'style/reset.css';


ul {
  list-style: none; /* Remove list bullets */
  padding: 0;
  margin: 0;
}

#content .hyere {
  flow-into: flow-hyeres;
}
#content .toulon {
  flow-into: flow-toulon;
}
#content .categorie {
  flow-into: flow-categorie;
}
#content .footer {
  flow-into: flow-footer;
}
#content .signature {
  flow-into: flow-signature;
}
#content .date {
  flow-into: flow-date;
}
#content .inauguration {
  flow-into: flow-inauguration;
}
#content .titredp {
  flow-into: flow-titredp;
}
#content .titredp2 {
  flow-into: flow-titredpP;
}
#content .site {
  flow-into: flow-site;
}
#content .luuse {
  flow-into: flow-luuse;
}

.hyere, .toulon {
  font-weight:normal;
  font-size: @u * 2.5;
  letter-spacing: @u / 4;
  text-transform: uppercase;
}
.hyere{
  // color:@colorDP37;
  color:@colorinfos;
  // color: @colorinfos;
 .ville{
    letter-spacing: @u;
    // font-weight: bold;
    font-family: @fontfamilydesignParade0;

    span {
    }
  }
  .domaine{
    font-family: @fontfamilydesignParade0;
    span{
      font-family: @fontfamilydesignParade3;
      // font-weight:bold;
    }
  }
  .sousdomaine{
    font-family: @fontfamilydesignParade0;
    span{
      font-family: @fontfamilydesignParade2;
     // font-weight:bold;
      }
  }
  .lieu {
    font-size: @u * 1.5;
    font-family: @fontfamilydesignParade0;
    text-transform: uppercase;
    margin-bottom: @u;
    margin-top: @u;
    span{
      margin-bottom:@u * 2;
      font-family: @fontfamilydesignParade9;
      font-weight: bold;
      font-size: @u *2;
      line-height: @u /6;

   } 
  }
  .information{
    position: absolute;
    font-size: @u * 1.5;
    // -webkit-text-stroke: 2px white;
    .exposition{
        font-family: @fontfamilydesignParade0;
        font-weight:normal;
        span{
          font-family: @fontfamilydesignParade3;
          // font-weight:bold;
          }
          .p{
            font-family: @fontfamilydesignParade2;
            // font-weight:bold;
          }
          .r{
            font-family: @fontfamilydesignParade1;
            // font-weight:bold;
          }
      }
  }
}
  .toulon{
    color:@colorinfos;
    text-transform: uppercase;


    .ville{
      letter-spacing: @u;
      font-family: @fontfamilydesignParade0;

      .t{
        display:inline-block;
       font-family: @fontfamilydesignParade1;

      }
      .o{
        font-family: @fontfamilydesignParade1;

      }
      .u{
        font-family: @fontfamilydesignParade1;
        display:inline-block;

      }
      .l{
        font-family: @fontfamilydesignParade3;

      }

    }
    .domaine{
      font-family: @fontfamilydesignParade0;
      span{
        font-family: @fontfamilydesignParade1;
          // font-weight:bold;
      }
    }
    .sousdomaine{
      font-family: @fontfamilydesignParade0;
      span{
        font-family: @fontfamilydesignParade2;
        // font-weight:bold;
      }
    }
    .lieu{
      font-size: @u * 1.5 ;
      font-family:@fontfamilydesignParade0;
      text-transform: uppercase;
      margin-bottom: @u ;
      margin-top: @u;
      line-height: @u * 2;
      span{
        margin-bottom:@u * 2;
        font-family: @fontfamilydesignParade9;
        font-weight: bold;
        font-size: @u *2;

      }
    }

    .information{
        font-size: @u * 1.5;
      .exposition{
          font-family: @fontfamilydesignParade0;
          font-weight:normal;
          span{
            font-family: @fontfamilydesignParade1;
            // font-weight:bold;
          }
          .p{
            font-family: @fontfamilydesignParade2;
          }
          .e{
            font-family: @fontfamilydesignParade3;
          }
           }
        }
    }
  .sous-information{
    display: none;
  }
  .titredp {
    letter-spacing: @u *0.5;
    .d, .e, .s, .i, .g, .n{
      transform: skew(-40deg) scale(0.95, 1.2);
      display:inline-block;
    }
    .i {
      transform: skew(-40deg) scale(0.95, 1.2) translate(0, 70px);
    }
    .g {
      transform: skew(-40deg) scale(0.95, 1.2) translate(0, 140px);
    }
    .n {
      transform: skew(-40deg) scale(0.95, 1.2) translate(0, 210px);
    }
  }
  .titredp2 {
    letter-spacing: @u *0.1;
    .p, .a, .r, .a, .d, .e{
      transform: skew(40deg) scale(0.95, 1.2);
      display:inline-block;
    }
    .p{
      transform: skew(40deg) scale(0.95, 1.2) translate(50px, -210px);
    }
    .a1{
      transform: skew(40deg) scale(0.95, 1.2) translate(0, -140px);
    }
    .r {
      transform: skew(40deg) scale(0.95, 1.2) translate(0, -70px);
    }
    .a2{
      transform: skew(40deg) scale(0.95, 1.2) translate(0, -30px);
    }
    .d{
      transform: skew(40deg) scale(0.95, 1.2) translate(0, 30px);
    }
    .e{
      transform: skew(40deg) scale(0.95, 1.2) translate(0, 80px);
    }
  }
  .titredp, .titredp2{
    color:@colorinfos;
    text-transform: uppercase;
    z-index: 17;
    font-family: @fontfamilyTimesb;
    font-size: @u * 6.5;
    text-align: center;
    justify-content: center;
    display: inline-block;

           // .e{
           //   transform: skew(-20deg,-14deg) scale(0.8, -1.2) translate(0px, 30px);
           //   display:inline-block;
           //  }
           // .s{
           //   transform:skew(-20deg, -14deg) scale(0.8, 1.3) translate(-.5vw, 10px);
           //   display:inline-block;
           //
           // }
           // .i{
           //   transform:skew(-20deg, -14deg) scale(0.8, -1.3) translate(-.5vw, 10px);
           //   display:inline-block;
           //  }
           // .g{
           //   transform: skew(-20deg, -14deg) scale(0.9, 1.29) translate(0px, 10px);
           //   display:inline-block;
           //   }
           // .n{
           //   transform: skew(-20deg, -20deg) scale(.95, 1.1) translate(-2vw, -20px);
           //   display:inline-block;
           // }
         // .p{
         //     transform:skew(20deg, -14deg) scale(0.95, 1.3) translate(1vw, 10px);
         //     display:inline-block;
         //
         //   }
         //   .a{
         //     transform:skew(0deg, -20deg) scale(0.9, 1.29) translate(0vw, 20px);
         //     display:inline-block;
         //   }
         //   .r{
         //     transform:skew(0deg, -20deg) scale(0.8, 1.3)  translate(-0.5vw, 10px);
         //     display: inline-block;
         //
         //   }
         //   .d{
         //    transform:skew(0deg, -20deg) scale(0.95, 1.2);
         //     display: inline-block;
         //   }
         //   .e{
         //     transform:skew(0deg, -20deg) scale(0.8, -1.2) translate(-1.5vw, 4vw);
         //     display: inline-block;
         //   }
  }
.date{
  color:@colorinfos;
  text-transform: uppercase;
  z-index: 17;
  font-family: @fontfamilydesignParade0;
  font-size: @u * 2;
  letter-spacing: @u / 2;
    .before{
      font-size: @u + @u ;
      font-family: @fontfamilydesignParade9;
      font-weight: bold;
      }
      .after{
        font-size: @u + @u;
        font-family: @fontfamilydesignParade9;
        font-weight: bold;
        }
}
.inauguration{
  color:@colorinfos;
  text-transform: uppercase;
  z-index: 17;
  font-family: @fontfamilydesignParade0;
  font-size: @u * 2;
  letter-spacing: @u / 2;
  .before{
    font-size: @u + @u/2;
    font-family: @fontfamilydesignParade9;
    font-weight: bold;
    }
    .after{
      font-size: @u + @u;
      font-family: @fontfamilydesignParade9;
      font-weight: bold;
      }
}
.categorie, .site{
  text-transform: uppercase;
  font-size: @u * 1.5;
  letter-spacing: @u / 2;
  text-align: center;
  font-family: @fontfamilydesignParade0;
  color:@colorinfos;

  li{
    text-align: center;
    display: inline;
    line-height: @u * 3;
    // :after {
    //   content: '}^( ';
    //   font-family:@fontfamilydesignParade4b;
    //   color:@colorDP34;
    //   font-size: @u * 2 ;
    //   letter-spacing: @u / 10;
    //   line-height: @u / 2;
    // }
    // // span{
    // // color:@colorinfos;
    // // font-family: @fontfamilydesignParade3;
    //
    // }
  }
}
.signature{
  color:@colorinfos;
  font-family: @fontfamilydesignParade0;
  position: absolute;
  bottom: @page-height / 5.5;
  font-size: @u ;
  .villaTitr5{
    font-size: @u *1.5;
    font-family: @fontfamilydesignParade3;
    :before {
      content: '}';
      font-family:  @fontfamilydesignParade0;
      font-size: @u * 1.5;
     }
  }
}
.luuse{
  position: absolute;
  writing-mode: vertical-rl;
  text-orientation: sideways-right;
  z-index: 1000;
  position: absolute;
  bottom: @page-height / 10;
  font-size: @u /2;
  font-family: @fontfamilydesignParade0;
  color: @colorinfos;
  transform: rotate(180deg);

}
.flow-hyeres {
  z-index: 13;
  flow-from: flow-hyeres;
  height: @page-height;
  width:  @page-width / 2;
  position: absolute;
  margin-left:@margin-outside* 10;
  margin-top:@margin-outside * 5;
  top:@page-height / 4;
}
.flow-toulon {
  z-index: 13;
  flow-from: flow-toulon;
  height: @page-height;
  width:  @page-width / 2;
  position: absolute;
  margin-right:@margin-outside* 10;
  margin-top:@margin-outside * 9;
  right: @margin-outside;
  text-align: right;
  top:@page-height / 4;

}
.flow-categorie {
  flow-from: flow-categorie;
  position: absolute;
  width: @page-width;
  bottom:@margin-outside * 43;
  z-index: 14;
}
.flow-site {
  flow-from: flow-site;
  position: absolute;
  width: @page-width;
  bottom:@margin-outside * 35;
  z-index: 14;

}
.flow-footer{
  flow-from: flow-footer;
  width: @page-width;
  height: @page-height / 10;
  position: absolute;
  background:pink;
  z-index: 100;
  bottom: 0;
}
.flow-signature{
  height: @page-height;
  width:  @page-width / 4;
  flow-from: flow-signature;
  position: absolute;
  margin-left:@margin-outside * 10;
  left: @margin-outside;
  z-index: 11;
}
.flow-luuse{
  height: @page-height;
  width:  @page-width / 4;
  flow-from: flow-luuse;
  position: absolute;
  right: @margin-outside *10;
}
.flow-date{
  flow-from: flow-date;
  position: absolute;
  width: 50%;
  right: @margin-outside;
  margin-right:@margin-outside * 10;
  margin-top: @margin-outside * 15;
  z-index: 13;
  text-align: right;
}
.flow-inauguration{
  flow-from: flow-inauguration;
  position: absolute;
  width: 50%;
  left: @margin-outside;
  margin-left:@margin-outside * 10;
  margin-top: @margin-outside * 50;
  z-index: 13;
  text-align: left;
}
.flow-titredp{
  z-index: 1000;
  flow-from: flow-titredp;
  top: @u;
  position: absolute;
  margin-top:@margin-outside * 9;
  margin-left:@margin-outside * 14;
  margin-right:@margin-outside * 20;

}
.flow-titredp2{
  z-index: 1000;
  flow-from: flow-titredpP;
  top: @u * 17;
  position: absolute;
  right:@margin-outside * 15;
  width: @page-width / 1.5;
  text-align: right;

  // margin-left:@margin-outside * 10;

}
.lettrage {
  top: 0;
  right: 0;
  position: absolute;
  z-index: 8;
  font-size: @u * 8;
  transform: scale(0.95, 1.2);
  height: auto;
  left: 0;
  margin-bottom: @page-height / 5;
  width: auto;
  text-align: center;
  text-transform: uppercase;
  line-height: @u;
  -webkit-text-stroke-width: @u * 30;
  .design {
    height: @page-height / 2;
    // -webkit-text-stroke-color: @colorDP03;
  }
  .parade {
    height: @page-height / 2;
    .word:nth-of-type(1) svg{
      z-index: 100 !important;
      // position: absolute;
    }
    // -webkit-text-stroke-color: @colorDP02;
  }
}
.page-inside {
  background:pink;
  // background: #E8E8E8;
  // background: rgba(255, 0, 0, 0.35);
  // background: #37fa91;
  // background: rgba(55,250,145,0.5);
}
.mjson, .mjson2 {
  position: absolute;
  top: -15 * @margin-outside;
  // display:block;
  width: @page-width * 1.05 ;

  svg{
    text {
      transform-origin: 0 0;
    }
  }
}
.mjson {
  z-index: 6;

}
.mjson2 {
  z-index: 9;
}
.word {
  width: @page-width;
  // position: absolute;
  display: flex;
  text-align: center;
  justify-content: center;
  overflow: visible;
  svg.letter {
    // float: left;
    height: 25 * @u;
    width: auto;
    // position: absolute;
  }
}
.footer{
  img{
  position: absolute;
  z-index: 100;
  width:95%;
  margin-left:@u *2;
  margin-right:@u *2;
  margin-bottom:@u;
  bottom: 0;
  margin-top:@u;
  }
}

sup {
  text-transform: lowercase;
  font-size: 4em;
}
// .margList(@zone, @val){
//   .loop (@i) when (@i > 0) {
//    .@{zone} li:nth-of-type(@{i}) {
//       @mrg: @val * @i / ( 3 / @u);
//       margin-left: ~'@{mrg}';
//       // display: none;
//     }
//   .loop(@i - 1);
//   }
//   .loop(9)
// }
// .margList(categorie, 1);
//
